Bug 180379 - tg3 dies as soon as autofs tries to mount
tg3 dies as soon as autofs tries to mount
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-07 14:00 EST by Bill Nottingham
Modified: 2014-03-16 22:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.6.15-1.1955
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-16 17:03:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-tg3-3_50.patch (8.75 KB, patch)
2006-02-16 16:35 EST, John W. Linville
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2006-02-07 14:00:35 EST
Description of problem:

The hardware:

04:01.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5700 Gigabit
Ethernet (rev 12) (14e4:1644)

The software:

kernel-smp-2.6.15-1.1914_FC5
autofs-4.1.4-16.2

What happens:

Using static IPs on the tg3 card, and the following autofs maps:

/mnt ldap:devserv.devel.redhat.com:nisMapName=auto.mnt,dc=devel,dc=redhat,dc=com
/misc
ldap:devserv.devel.redhat.com:nisMapName=auto.misc,dc=devel,dc=redhat,dc=com
--timeout=60
/home
ldap:devserv.devel.redhat.com:nisMapName=auto.home,dc=devel,dc=redhat,dc=com
--timeout=60

the tg3 card works, until autofs tries to mount something (in this case,
/mnt/redhat). At which point all traffic comes to a dead stop.

e1000 works fine.
Comment 1 Bill Nottingham 2006-02-13 15:33:46 EST
With 2.6.15-1.1939_FC5, it seems better - it doesn't shut down networking
entirely, it just gives superblock errors trying to mount the NFS filesystems.
Comment 2 John W. Linville 2006-02-13 15:37:17 EST
Does this imply a data corruption problem? 
Comment 3 Bill Nottingham 2006-02-13 15:39:35 EST
In tg3? Don't know. What sort of data would you need?
Comment 4 John W. Linville 2006-02-16 16:35:06 EST
Created attachment 124791 [details]
jwltest-tg3-3_50.patch
Comment 5 Bill Nottingham 2006-02-16 17:03:40 EST
And... in .1955_FC5... it works. So, closing.

Note You need to log in before you can comment on or make changes to this bug.